services:
  jenkins:
    image: jenkins/jenkins:2.543
    container_name: jenkins
    user: "1000:984"
    command: "--prefix=/jenkins"
    restart: unless-stopped
    ports:
      - "8080:8080"
    volumes:
      - ./jenkins:/var/jenkins_home
      - /var/run/docker.sock:/var/run/docker.sock
      - /usr/bin/docker:/usr/bin/docker
      - /usr/libexec/docker/cli-plugins:/usr/libexec/docker/cli-plugins:ro
    environment:
      - TZ=Asia/Shanghai

  nginx:
    image: nginx:1.29.4
    container_name: nginx
    restart: unless-stopped
    ports:
      - "80:80"
      - "443:443"
    volumes:
      - ./nginx/conf.d:/etc/nginx/conf.d:ro
      - ./nginx/html:/var/www/html
      - ./nginx/certs:/etc/nginx/certs:ro
      - ./nginx/logs:/var/log/nginx